function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import { baseClass } from '@teamix/utils';
import React from 'react';
import FullScreenIcon from './FullScreenIcon';
import FilterColumnIcon from './FilterColumnIcon';
import DensityIcon from './DensityIcon';
import RefreshIcon from './RefreshIcon';
import './index.scss';
var cls = baseClass('teamix-pro-table-toolbar');
var presetToolBarMap = {
  refresh: RefreshIcon,
  density: DensityIcon,
  filtercolumn: FilterColumnIcon,
  fullscreen: FullScreenIcon
};
var presetToolBarName = ['refresh', 'density', 'filtercolumn', 'fullscreen'];
var presetToolBar = [{
  name: 'refresh',
  type: 'preset',
  component: RefreshIcon
}, {
  name: 'density',
  type: 'preset',
  component: DensityIcon
}, {
  name: 'filterColumn',
  type: 'preset',
  component: FilterColumnIcon
}, {
  name: 'fullScreen',
  type: 'preset',
  component: FullScreenIcon
}];

var ToolBar = function ToolBar(props) {
  var toolBar = props.toolBar;
  var toolBarList = toolBar !== false ? presetToolBar : [];

  if (Array.isArray(toolBar)) {
    toolBarList = toolBar.map(function (item, index) {
      if (typeof item === 'string' && presetToolBarName.includes(item.toLowerCase())) {
        return {
          type: 'preset',
          name: item,
          component: presetToolBarMap[item.toLowerCase()]
        };
      }

      return {
        type: 'custom',
        name: "custom".concat(index),
        component: item
      };
    });
  }

  return /*#__PURE__*/React.createElement("div", {
    className: cls()
  }, toolBarList.map(function (_ref) {
    var type = _ref.type,
        name = _ref.name,
        Component = _ref.component;
    return /*#__PURE__*/React.createElement("span", {
      className: cls(_defineProperty({}, name, true)),
      key: name
    }, type === 'preset' && /*#__PURE__*/React.createElement(Component, _objectSpread({}, props)), type === 'custom' && /*#__PURE__*/React.createElement("div", {
      className: cls({
        custom: true
      })
    }, Component));
  }));
};

export default ToolBar;